[Qa-jenkins-scm] [jenkins.debian.net] 01/02: reproducible/openwrt|lede: exit with error when called with unsupported mode
Holger Levsen
holger at layer-acht.org
Tue Aug 2 15:18:50 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit ac3141cadeb4a0083b5dd05e4bbd915e6875a054
Author: Alexander Couzens <lynxis at fe80.eu>
Date: Tue Aug 2 17:07:57 2016 +0200
reproducible/openwrt|lede: exit with error when called with unsupported mode
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_lede.sh | 4 ++++
bin/reproducible_openwrt.sh | 4 ++++
2 files changed, 8 insertions(+)
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index 83bc7ed..5c94dd2 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -37,6 +37,10 @@ case $1 in
master)
# master code following
;;
+ *)
+ echo "Unsupported mode $1. Arguments are $@"
+ exit 1
+ ;;
esac
#
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index c4c2096..f12dcd5 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -37,6 +37,10 @@ case $1 in
master)
# master code following
;;
+ *)
+ echo "Unsupported mode $1. Arguments are $@"
+ exit 1
+ ;;
esac
#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list